export default AgentsAPI;
declare namespace AgentsAPI {
    export { getAgentsList as getList };
    export { getAgent as get };
    export { addAgent as add };
    export { patchAgent as patch };
    export { updateAgent as update };
    export { deleteAgent as delete };
    export { getAgentsLookup as getLookup };
    export { getAgentHistory };
    export { getRegularAgentsOptions };
    export { getAgentUsersOptions };
    export { getSupervisorOptions };
}
declare function getAgentsList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getAgent({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function addAgent({ itemInstance }: {
    itemInstance: any;
}): Promise<any>;
declare function patchAgent({ changes, id }: {
    changes: any;
    id: any;
}): Promise<any>;
declare function updateAgent({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function deleteAgent({ id }: {
    id: any;
}): Promise<any>;
declare function getAgentsLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getAgentHistory(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getRegularAgentsOptions(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getAgentUsersOptions(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getSupervisorOptions(params: any): Promise<{
    items: any;
    next: any;
}>;
